LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Modules | Variables
CharType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::CharType
| Constants to specify the character type that starts a character block.

## Variables
const short | ANY_CHAR = 0
| all alpha characters allowed
const short | UPPERCASE_LETTER = 1
const short | LOWERCASE_LETTER = 2
const short | TITLECASE_LETTER = 3
const short | MODIFIER_LETTER = 4
const short | OTHER_LETTER = 5
const short | NON_SPACING_MARK = 6
const short | ENCLOSING_MARK = 7
const short | COMBINING_SPACING_MARK = 8
const short | DECIMAL_DIGIT_NUMBER = 9
const short | LETTER_NUMBER = 10
const short | OTHER_NUMBER = 11
const short | SPACE_SEPARATOR = 12
const short | LINE_SEPARATOR = 13
const short | PARAGRAPH_SEPARATOR = 14
const short | CONTROL = 15
const short | FORMAT = 16
const short | PRIVATE_USE = 17
const short | SURROGATE = 18
const short | DASH_PUNCTUATION = 19
const short | START_PUNCTUATION = 20
const short | END_PUNCTUATION = 21
const short | CONNECTOR_PUNCTUATION = 22
const short | OTHER_PUNCTUATION = 23
const short | MATH_SYMBOL = 24
const short | CURRENCY_SYMBOL = 25
const short | MODIFIER_SYMBOL = 26
const short | OTHER_SYMBOL = 27
const short | INITIAL_PUNCTUATION = 28
const short | FINAL_PUNCTUATION = 29
const short | GENERAL_TYPES_COUNT = 30